<p-table [value]="specialPosition" [loading]="false" [rows]="30" [showCurrentPageReport]="true"
  [tableStyle]="{ 'min-width': '50rem' }" styleClass="" [paginator]="true" dataKey="averages.name" sortField="averages.g" [sortOrder]=-1>
  <ng-template pTemplate="caption">
    <div>
      <form *ngIf="seasons" class="flex" [formGroup]="formGroup">
        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="category" [options]="categories" placeholder="Select a Category"
            optionLabel="name" [filter]="true"></p-dropdown>
          <label class="label-mobile" for="float-label">Category</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="season" [options]="seasons"
            placeholder="Select a Season"></p-dropdown>
          <label class="label-mobile" for="float-label">Season</label>
        </span>
      </form>
    </div>
  </ng-template>

  <ng-template pTemplate="header">
    <tr>
      <th pSortableColumn="player">Player
        <p-sortIcon field="player"></p-sortIcon>
      </th>
      <!-- <th pSortableColumn="season">Season
        <p-sortIcon field="season"></p-sortIcon>
      </th> -->
      <th pSortableColumn="team">Team
        <p-sortIcon field="team"></p-sortIcon>
      </th>
      <th pSortableColumn="transfer">Transfer
        <p-sortIcon field="transfer"></p-sortIcon>
      </th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-specialPosition>
    <tr>
      <td>{{ specialPosition.player }}</td>
      <!-- <td>{{ specialPosition.season }}</td> -->
      <td>{{ specialPosition.team }}</td>
      <td>{{ specialPosition.transfer }}</td>
    </tr>
  </ng-template>

</p-table>